---
updatedAt: 2025-10-03T13:06:37.000Z
agentTools:
  projectIndex: https://docs.quable.com/llms.txt
---

# Documents - Retrieve Orphans

# Retrieve Orphan Documents

> 👍 **Objective**
>
> This cookbook describes how to retrieve your documents that are not associated with classifications.

Documents with no association to a classification are known as *orphans*.

Updates to your classification hierarchy may create orphan documents which you can easily retrieve with the Quable PIM API.

<Image src="https://files.readme.io/dc2e44a-orphanDoc.png" alt="Orphan document illustration" width="auto" />

## Process Overview

Retrieving your orphan documents is accomplished with a simple `GET` request to Quable PIM API.

## Retrieve Orphans

To retrieve all orphan documents, you can send the request without any attributes.

### URL Parameters

| Field       | Value                           | Description     |
| ----------- | ------------------------------- | --------------- |
| Endpoint    | `/api_1.php/articles/orphelins` | API v4 endpoint |
| HTTP Method | `GET`                           |                 |

> 📘 **Note**
>
> This endpoint provides a paginated list of orphan documents.

### Request Body

**Pagination Attributes**

> 🚧 **Important**
>
> In order to paginate the results, **both** pagination attributes must be used.

| Field   | Type    | Description                                                                               |
| ------- | ------- | ----------------------------------------------------------------------------------------- |
| `limit` | integer | The number of items to retrieve.                                                          |
| `start` | integer | The offset in the list of orphan documents to start from. **Note**: Counting begins at 0. |

### Example

This example is a call to retrieve 30 orphan documents, starting from 60 in the total list.

```python
import requests
import json

url = "https://{{YOUR-PIM}}.quable.com/api_1.php/articles/orphelins?start=60&limit=30"

payload = json.dumps({})
headers = {
		'Content-Type': 'application/json',
		'Authorization': 'Bearer OAUTH_ACCESS_TOKEN'
}

response = requests.request("GET", url, headers=headers, data=payload, timeout=30)

print(response.text)
```

### Response

The JSON response to a successful request includes:

**Response Header**

| Field              | Value | Type    | Description                 |
| ------------------ | ----- | ------- | --------------------------- |
| HTTP Response Code | `200` | integer | The request was successful. |

**Response Body**

| Field     | Type          | Description                                         |
| --------- | ------------- | --------------------------------------------------- |
| `records` | integer       | The number of records in the response.              |
| `rows`    | array(string) | An array of document information.                   |
| `success` | boolean       | *True* if everything is ok, else *False*.           |
| `total`   | integer       | The total number of orphan documents in Quable PIM. |

**Example Response**

```json
{
	"total": 1638,
	"records": 30,
	"rows": [{
			"id": 28735,
			"code": "PRODUCT_23455768",
			"active": true,
			"name": "Bathrobe"
		},
		{
			"id": 28736,
			"code": "PRODUCT_2423",
			"active": true,
			"name": "Blue jean"
		},
		{
			"id": 28737,
			"code": "PRODUCT_7543",
			"active": true,
			"name": "Pink dress"
		}
	],
	"success": true
}
```